# geos::index::bintree::Root Class Reference

The root node of a single Bintree. More...

`#include <Root.h>`

Inheritance diagram for geos::index::bintree::Root:

List of all members.

## Public Member Functions

void | insert (Interval *itemInterval, void *item)

## Protected Member Functions

bool | isSearchMatch (Interval *)

## Detailed Description

The root node of a single Bintree.

It is centred at the origin, and does not have a defined extent.

The documentation for this class was generated from the following file:

- bintree/Root.h